%
%   real_mult_intlog.m  ver 1.1  by Tom Irvine
%
function Q2 = real_mult_intlog(x,y,df)
%

num=length(x);

for i=num:-1:2
    if(x(i)==x(i-1))
        x(i)=[];
        y(i)=[];
    end    
end    

%
xi=min(x):df:max(x); 
%
xL=log10(x);
yL=log10(y);
xiL=log10(xi);
%
yiL = interp1(xL,yL,xiL);
%

num=length(xiL);

xi=zeros(num,1);
yi=zeros(num,1);

for i=1:num
    xi(i)=10^xiL(i);
    yi(i)=10^yiL(i);
end

Q2=[xi yi];
